PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- fchebyshev_split

# fchebyshev_split

pydl.pydlutils.trace.fchebyshev_split(x, m)

  Compute the first `m` Chebyshev polynomials, but modified to allow a split in the baseline at \(x=0\). The intent is to allow a model fit where a constant term is different for positive and negative `x`.

  Parameters
    x array-like

      Compute the Chebyshev polynomials at these abscissa values.

    m `int`

      The number of Chebyshev polynomials to compute. For example, if \(m = 3\), \(T_0 (x)\), \(T_1 (x)\) and \(T_2 (x)\) will be computed.

  Returns
    `numpy.ndarray`